package com.app.admin.framework.log.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * sys_operation_log
 * @author 
 */
@Data
@ToString
@TableName("sys_operation_log")
public class SysOperationLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID主键
     */
    @TableId(type = IdType.AUTO)
    private Long oid;

    /**
     * 组织机构ID，关联表sys_organization主键
     */
    private Long organizationId;

    /**
     * 操作内容
     */
    private String contents;

    /**
     * IP地址
     */
    private String ipAddress;

    /**
     * mac地址
     */
    private String macAddress;

    /**
     * 操作时间
     */
    private String operationDate;

    /**
     * 操作描述
     */
    private String operationDesc;

    /**
     * 操作类型
     */
    private String operationType;

    /**
     * 操作人员账号
     */
    private String operatorAccount;

    /**
     * 操作人员ID
     */
    private Long operatorId;

    /**
     * 操作人员姓名
     */
    private String operatorName;

}