package com.app.framework.core.support.enums.data;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * 枚举项
 */
@Setter
@Getter
@ToString
public class EnumItem implements Serializable {

    private Serializable value;

    private String text;

    public EnumItem(Serializable value, String text) {
        this.value = value;
        this.text = text;
    }
}
